Package net.shibboleth.profile.config.navigate

# Class EncryptionConfigurationLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<T>
net.shibboleth.profile.config.navigate.AbstractDefaultSecurityConfigurationLookupFunction<List<EncryptionConfiguration>>
net.shibboleth.profile.config.navigate.EncryptionConfigurationLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,List<EncryptionConfiguration>>`, `ContextDataLookupFunction<ProfileRequestContext,List<EncryptionConfiguration>>`

public class EncryptionConfigurationLookupFunction extends AbstractDefaultSecurityConfigurationLookupFunction<List<EncryptionConfiguration>>
A function that returns a `EncryptionConfiguration` list using injected lookup strategies.

If a specific setting is unavailable, a null value is returned.

## Constructor Summary

Constructors
Constructor
Description
`EncryptionConfigurationLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`List<EncryptionConfiguration>`
`apply(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.config.navigate.AbstractDefaultSecurityConfigurationLookupFunction

`getDefaultSecurityConfiguration`

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### EncryptionConfigurationLookupFunction

public EncryptionConfigurationLookupFunction()

## Method Details

### apply

@Nullable @Live public List<EncryptionConfiguration> apply(@Nullable ProfileRequestContext input)